
package de.ivu.elect.presentation.entschaedigung.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.entschaedigung.menu.EntschaedigungPageMenu;
import de.ivu.elect.presentation.exchange.ExportDescription;

public class EntschaedigungsartExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  public EntschaedigungsartExportDescription() {
    super();
  }

  @Override
  public String getExportSearchViewId() {
    return EntschaedigungsartExportView.VIEW_ID;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.ENTSCHAEDIGUNGSART_EXPORT;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.ENTSCHAEDIGUNGSART_EXPORTIEREN;
  }

  @Override
  public boolean isSpecificPerWahl() {
    return true;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return true;
  }

  @Override
  public String getPageMenuComponentName() {
    return EntschaedigungPageMenu.COMPONENT_NAME;
  }
}
